TAAS - Feature #315

Package Stock
02/23/2024 04:48 PM - Junaid M

Status: New Changes Coding Done Start date: 02/23/2024
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Package Stock

Description

Coding Package Stock

History

#1 - 02/23/2024 04:48 PM - Junaid M

Package Stock GUI:-

1) Like Voucher Stock GUI
-Service Replace 'Package'
— Consider Package type= Fixed Package

-> Check Voucher stock and Discus Aparna

document .tbl_documents
package.tbl_package_stock
package.tbl_package_stock_details
—->Keep log

#2 - 02/23/2024 04:49 PM - Junaid M

- Assignee set to travvise Admin

#3 - 02/23/2024 05:04 PM - Junaid M

- Assignee changed from travvise Admin to Amal Siby

#4 - 02/23/2024 08:51 PM - Junaid M
- Assignee changed from Amal Siby to Aparna Mathew

#5 - 03/04/2024 06:16 PM - Junaid M
- Assignee changed from Aparna Mathew to Nithin Raj

#6 - 03/04/2024 06:17 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#7 - 03/05/2024 03:14 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#8 - 03/05/2024 03:47 PM - Junaid M

- Assignee changed from Nithin Raj to Greeshma S

#9 - 03/08/2024 03:31 PM - Greeshma S
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#10 - 03/14/2024 01:38 PM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#11 - 03/15/2024 10:12 AM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.ERROR ON SAVE
2.CLEAR SUPPLIER CURRENCY FROM Ul WHILE SELECTING NEW BUTTON

#12 - 03/15/2024 03:31 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#13 - 03/15/2024 03:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#14 - 03/15/2024 03:44 PM - unnikannan S
ISSUE FOUNDED

1.ERROR ON UPDATION

#15 - 03/16/2024 09:36 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 03/16/2024 12:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#17 - 03/16/2024 12:08 PM - unnikannan S
- File clipboard-202403161208-gkt2t.png added

#18 - 03/16/2024 01:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#19 - 03/16/2024 03:03 PM - unnikannan S
TESTING DONE

#20 - 03/16/2024 03:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.SHOW ANCILLARY SERVICES AS PER THE MAPPING IN SERVICE MODULE

2.MISSING ROE AFTER SAVE RELOAD
3.CANT CHANGE THE STATUS
#21 - 03/16/2024 05:46 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 03/18/2024 10:49 AM - unnikannan S
TESTING DONE

#23 - 03/18/2024 10:50 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW SETTED ROE IN Ul IN CASE IF SELECTING MULTIPLE CURRENCY
2.DUPLICATING PACKAGE NO WHILE EDITING ADDED PACKAGE NO

#24 - 03/18/2024 06:12 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#25 - 03/19/2024 10:17 AM - unnikannan S
TESTING DONE

#26 - 03/19/2024 10:23 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.DECIMAL VALUE CHANGE IN FOCUS OUT
2.SHOW UPDATE BUTTON IN CASE OF SELECTING ALREADY ADDED PACKAGE NO SELECTION

#27 - 03/19/2024 11:28 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 03/19/2024 12:02 PM - unnikannan S
TESTING DONE

#29 - 03/22/2024 01:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED
1.SHOW POSTING FIELD IN Ul ON BASIS OF THE CHANGES DONE THROUGH ADMIN SETTINGS MODULE
#30 - 03/22/2024 03:24 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 06/12/2024 06:32 PM - unnikannan S

- File clipboard-202406121832-uiz1z.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#32 - 06/12/2024 06:33 PM - unnikannan S
ISSUE FOUNDED

1.Error While Saving With Multy Currencies

#33 - 06/14/2024 10:34 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#34 - 07/05/2024 11:29 AM - unnikannan S
ISSUE FOUNDED

1.Fix Error On Save (Column 'jsn_duplicate_records' does not belong to table Table.)

#35 - 07/05/2024 11:30 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#36 - 07/11/2024 06:37 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#37 - 07/12/2024 10:00 AM - unnikannan S
TESTING DONE

#38 - 07/12/2024 10:01 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Fix Ul On Posting Details Tab (Reffer Voucher Stock)
#39 - 07/12/2024 12:13 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 07/12/2024 06:20 PM - unnikannan S
TESTING DONE

#41 - 08/09/2024 11:13 AM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

Showing Package with "Allow Stock" untick in Package field

#42 - 08/09/2024 04:06 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 08/10/2024 07:42 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#44 - 09/21/2024 11:54 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs
Add Feature

Load Package Stock Information to Issue/Cancel module. [Hold: Package Stock module not completed]

ISSUE FOUND

1. Package field get missing upon reloading already created stock

#45 - 09/21/2024 04:07 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 10/21/2024 05:44 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Package numbers should be unique.
2. Package number shouldn't be already used in issue or cancel module.
3. If the stock is used update the used stock in the grid.

#47 - 10/22/2024 06:34 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#48 - 10/25/2024 01:20 PM - Arathy PS

- File clipboard-202410251319-1iqyl.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Package Stock

Error converting value {null} to type ‘System.nt64'. Path ‘mdlP: Details[0].bi etailsld,line 1, position 3646. X
Doc No Date™ | 25/10/2024 @ B rae | Branch*  Ancillary Service
Branch® | BROO1: Main v Department’ | DPOO1: Account v Amount Per Item In QAR
Package™  PADD1: Package v Amount | 1100.00
Supplier™ | SUPOOT Supplier QAR v Tax | 000
Reference Expiry Date | g ] Commission | 0.00 2 000
Consider™ | adult Child Infant Supplier Fee | 0,00 % 0.00
Remark: Cost 1100.00
PoeStatus” | Active v b Amount Per Item In QAR
Service Fe X %
Tots! Cost: 1100.00 QAR Tots|Price: 1100.00 QAR ol Profit 0.00 QAR Tice Fee | 000 000
Management Fee | 0,00 % 0.00
Created By:
Discount ( %
Madified By: oo 000
Price | 1100.00
+ Add =Sequence | & Import A 2 [
#  Package No Currency Cost Price Profit Status Remark
1 pso1 QAR 1100.00 110000 000 | Active S w e
2 PS02 QAR 1100.00 1100.00 000  Active S w2
PS03 QAR 1100.00 1100.00 000 | Active &S w2
PS04 QAR 1100.00 110000 000 | Active S weE

#49 - 10/26/2024 12:44 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#50 - 10/28/2024 08:04 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Add Pop Up Grid Name Change To Add Package
2.Connect Print

#51 - 10/29/2024 07:11 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#52 - 11/25/2024 09:39 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Validation Messages After Selecting New Pop Up

#53 - 11/25/2024 07:17 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#54 - 11/26/2024 06:05 PM - Theja Ponon

- File clipboard-202411261805-eqpd|.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)ERROR WHILE DELETING UNUSED PACKAGE STOCK

O A 2% localho e k

Imported from Goo...

Object reference not set to an instance of an object

Deletz Reason® | Delete Reason™

& Close W Delete

#55 - 11/27/2024 09:19 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#56 - 11/27/2024 10:14 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#57 - 11/27/2024 10:22 AM - Theja Ponon
- File clipboard-202411271021-582qh.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)ONCE DELETED A PACKAGE STOCK ON TRY TO DELETE THE STOCK NEXT TIME SHOULD SHOW A MESSAGE "ALREADY DELETED BY
ANOTHER USER"

PACKAGE STOCK has besn deleted.

Delztz Rzazon®  Delets Reaso

@ Close W Delete

#58 - 11/27/2024 07:02 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#59 - 11/28/2024 03:44 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#60 - 12/03/2024 02:56 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)AFTER DELETING PACKAGE ISSUE THE USED STATUS IS NOT CHANGING

#61 - 12/04/2024 08:41 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#62 - 12/05/2024 10:43 AM - Theja Ponon

- File clipboard-202412051042-c8gty.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUND

1)AFTER DELETING A PACKAGE STOCK CANT SAVE ANOTHER PACKAGE STOCK WITH SAME PACKAGE NUMBER IN DELETED PACKAGE
STOCK

Package Stock g2 = vens- - [HENNNNNNRY | 3-
The Package Numbsr PKG100 Already Existing b l
Doc No Dat=* | 051272024 Q0 Fare Branch*  Ancillary Service l
Brnch | BRODT: Main v Depanment* | DPO01: Account v

Amount Per ftem In QAR

Packags” | PKDT: PACKAGE 1 v amaure | 10000
supplier | sppu Sarath QAR v Tax | 000
Fefarence Expiry D22 | iy a Commission | 0,00 % 000
Consider® | aguir % Child nfant - Supgliersz | ggp B 000
AT y 100,00
Pes sz Active e Amaunt Per item In QAR
Total Cost 100.00 0AR TowmlFrice 100.00 QAR Towl Profic 000 OAR

rics | 10000
+ ad = Seq & import Y @ b s &
Package No Currency Cost Price Profit | Status Remark
1| PrkG100 QAR 10000 10000 000 | Active &S @
PRKG101 QAR 100.00 100.00 000 | Active &£ o
PRKG102 QAR 100.00 100.00 000 | Actve & 0
4 | PRKGI03 QAR 0.00 100 000 | Acive & &
PEKG104 QAR 100.00 100.00 000 | Active & o [/

#63 - 12/05/2024 08:19 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#64 - 12/06/2024 12:21 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#65 - 01/07/2025 03:43 PM - Arathy PS
- File clipboard-202501071543-yxysb.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Incorrect amount in the total cost as it not calculating total amount as per item.
2. Incorrect amount in posting
Package Stock

DocNo | PS/002 Date* | 07/01/2025 o0 Fare = Branch*  Ancillary Service

Branch® | BROO1: Main v Department” | DPOO1: Account v Amount Per ftem In QAR
Package” | PCKOO1: Package A b Amount | 1005.00
Supplier” | SUPQO2 SKYONE QAR Vv Tax | 0.00
Reference Expiry Date | dal/MM/yyyy (] Commission | 0,00 % 0.00
Consider” | Adult Child Infant M Supplier Fee | 0,00 % 0.00

Remarks
v B

Doc Status® | Active

Posting Status® Posting v

Cost

By Service Fee

M tF
Total Cost: ~ 1005.00 QAR Total Price: ~ 1005.00 QAR Total Profit  0.00 QAR ‘anagement ree

Discount

Created By:  Administrator(07/01/2025 03:39 PM)
Modified By:

+ Add i Sequence & Import
# Package No Currency Cost Price
1 PS/003 QAR 1005.00 1005.00
2 PS/004 QAR 1005.00 1005.00
3 P5/005 QAR 1005.00 1005.00

#66 - 01/08/2025 06:29 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#67 - 01/09/2025 10:10 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#68 - 01/09/2025 07:05 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

--> Add Checkbox left side, bottom
--> Label "Release the Package for New Sale If Refunded"

Price

1005.00

Amount Per ltem In QAR

0.00 % 0.00
0.00 % 0.00
0.00 % 0.00
1005.00
Profit  Status
0.00  Active

000 Active

0.0(

=

Active

--Blue * and Need Detailed Title -> "Release at the time of refund. only release if not expired"

==> Related Module Work (Refund)

Remark

a»
rind

+ Add

=
Sequence

& Impor
v ez o I

--> At the time Refund if any item having Stock and ticked "Release the Voucher for New Sale If Refunded" and not expired then release voucher no.

by incrementing "tbl_supp_do_no.sin_avoid_duplicate_flag"
-->package module has a fare tab and data from fare tab to load to package stock
#69 - 02/24/2025 09:25 AM - Greeshma S

- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#70 - 03/11/2025 04:56 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

1. Add a validation if the package no: is already used in supp doc in a normal issue while we create a stock sequence in the same series no:

#71 - 03/13/2025 06:16 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70
